
From: DHollenbeck <dick@softplc.com>

This patch was needed against a pristine 2.6.4 kernel when compiling with
"gcc 3.4 _very recent_" using the -Os option.

Without this patch, modules would use a non-inline memcmp() and then not
find it in the kernel, causing depmod to complain and some modules not to
load.


---

 25-akpm/arch/i386/kernel/i386_ksyms.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN arch/i386/kernel/i386_ksyms.c~memcmp-uninlining-fix arch/i386/kernel/i386_ksyms.c
--- 25/arch/i386/kernel/i386_ksyms.c~memcmp-uninlining-fix	2004-03-17 15:01:15.661095968 -0800
+++ 25-akpm/arch/i386/kernel/i386_ksyms.c	2004-03-17 15:01:15.663095664 -0800
@@ -176,10 +176,13 @@ EXPORT_SYMBOL_GPL(unset_nmi_callback);
  
 #undef memcpy
 #undef memset
+#undef memcmp
 extern void * memset(void *,int,__kernel_size_t);
 extern void * memcpy(void *,const void *,__kernel_size_t);
+extern int memcmp(const void *,const void *,__kernel_size_t);
 EXPORT_SYMBOL_NOVERS(memcpy);
 EXPORT_SYMBOL_NOVERS(memset);
+EXPORT_SYMBOL_NOVERS(memcmp);
 
 #ifdef CONFIG_HAVE_DEC_LOCK
 EXPORT_SYMBOL(atomic_dec_and_lock);

_
